> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registered Models visible to user

> Get registered models that a user can see. Returns only ML models.



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/registeredmodels/v1/ui
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/registeredmodels/v1/ui:
    get:
      tags:
        - Registered models
      summary: Get Registered Models visible to user
      description: Get registered models that a user can see. Returns only ML models.
      operationId: getRegisteredModelsForUI
      parameters:
        - description: Project ID of requested models.
          in: query
          name: projectId
          required: false
          schema:
            type: string
        - description: >-
            Search parameter to retrieve models from Mlflow (currently supports
            name and tags)
          in: query
          name: searchPattern
          required: false
          schema:
            type: string
        - description: >-
            globallyDiscoverable flag to indicate if we want to return globally
            discoverable models. Defaults to false.
          in: query
          name: globallyDiscoverable
          schema:
            type: boolean
        - description: >-
            Pagination token to go to the next page based on a previous search
            query.
          in: query
          name: pageToken
          required: false
          schema:
            type: string
        - description: Max number of Registered Models to fetch. Defaults to 25.
          in: query
          name: maxResults
          required: false
          schema:
            default: 25
            type: integer
        - description: >-
            List of columns for ordering search results, which can include model
            name and last updated timestamp with an optional "DESC" or "ASC"
            annotation, where "ASC" is the default.
          in: query
          name: orderBy
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedRegisteredModelsForUIEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    PaginatedRegisteredModelsForUIEnvelopeV1:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RegisteredModelForUIV1'
          type: array
        metadata:
          $ref: '#/components/schemas/TokenPaginatedMetadataV1'
      required:
        - items
        - metadata
      type: object
    RegisteredModelForUIV1:
      properties:
        createdAt:
          description: When the latest version of the model was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        description:
          description: Description of the model
          example: Customer churn model
          type: string
        discoverable:
          default: false
          description: >
            Indicates whether this model is publicly discoverable. If true,
            users who are not project members will see this model in search
            results and can view basic model details.

            This field may be omitted when false.
          type: boolean
        latestVersion:
          description: The latest version of the model
          example: 1
          type: integer
        latestVersionExperimentMetrics:
          $ref: '#/components/schemas/RegisteredModelMetricsV1'
        latestVersionModelType:
          description: >-
            The model type of the latest version (e.g., "llm", "embedding",
            "other-genai", "ml")
          enum:
            - llm
            - embedding
            - other-genai
            - ml
          example: llm
          nullable: true
          type: string
        modelApiCount:
          description: >-
            The number of model APIs associated with the latest version of the
            model
          example: 1
          type: integer
        name:
          description: Name of the registered model
          example: churn-prediction
          type: string
        ownerUsername:
          description: Username of the project owner
          example: martin_hito
          type: string
        predictionCount:
          description: >-
            The number of predictions captured for the active versions of model
            APIs associated with the latest version of the model
          example: 100
          type: integer
        project:
          $ref: '#/components/schemas/RegisteredModelProjectSummaryV1'
        tags:
          $ref: '#/components/schemas/RegisteredModelTagsV1'
        updatedAt:
          description: When the latest version of the model was updated
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
      required:
        - name
        - description
        - project
        - tags
        - ownerUsername
        - createdAt
        - updatedAt
        - modelApiCount
      type: object
    TokenPaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/TokenPaginationV1'
      required:
        - pagination
        - requestId
        - notices
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    RegisteredModelMetricsV1:
      additionalProperties:
        format: double
        type: number
      description: A map of key -> value
      example:
        key: 1
        key2: 100.4
      type: object
    RegisteredModelProjectSummaryV1:
      description: type that tracks properties of the project associated with a model
      properties:
        id:
          description: ID of the project housing the model
          example: 62313ce67a0af0281c01a6a5
          type: string
        isGitBasedProject:
          description: Whether the project is a git-based project
          type: boolean
        name:
          description: Name of the project overview housing the model
          example: TO-DO
          type: string
        ownerUsername:
          description: Name of the project owner
          example: TO-DO
          type: string
      required:
        - id
        - name
        - ownerUsername
        - isGitBasedProject
      type: object
    RegisteredModelTagsV1:
      additionalProperties:
        type: string
      description: A map of key -> value
      example:
        key: value
        key2: anothervalue
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    TokenPaginationV1:
      properties:
        nextPageToken:
          description: Pagination token to request the next page of objects
          type: string
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get Registered Models visible to user](/6.3/api-reference/registered-models/get-registered-models-visible-to-user.md)
- [Get Registered Models visible to user (v2)](/6.3/api-reference/registered-models/get-registered-models-visible-to-user-v2.md)
- [Get a list of Registered Models' names visible to user](/6.3/api-reference/registered-models/get-a-list-of-registered-models-names-visible-to-user.md)
- [Get a specific Registered Model](/6.3/api-reference/registered-models/get-a-specific-registered-model.md)
